%define name python-cliff
%define srcname cliff
%define version 1.4
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: Command Line Interface Formulation Framework
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: Apache
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Doug Hellmann <doug.hellmann@gmail.com>
Url: https://github.com/dreamhost/cliff

BuildRequires: python, python-devel
BuildRequires: python-sphinx
Requires: python
Requires: python-prettytable >= 0.6, python-prettytable < 0.8
Requires: python-cmd2 >= 0.6.4
Requires: python-pyparsing == 1.5.7

%description
=======================================================
 cliff -- Command Line Interface Formulation Framework
=======================================================

.. image:: https://secure.travis-ci.org/dhellmann/cliff.png?branch=master

cliff is a framework for building command line programs. It uses
setuptools entry points to provide subcommands, output formatters, and
other extensions.

Documentation
=============

Documentation for cliff is hosted on readthedocs.org at http://readthedocs.org/docs/cliff/en/latest/

%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

cd docs
make text

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/LICENSE 32bit/PKG-INFO 32bit/README.rst 32bit/announce.rst
%doc 32bit/docs/build/text
%{python_sitelib}/*

%changelog
* Thu Jun 27 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 1.4-1
- first version for AIX V6.1 and higher
